Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Protected Member Functions
Argus::InterfaceProvider Class Reference

The base interface for a class that provides libargus Interfaces. More...

`#include <Types.h>`

Inheritance diagram for Argus::InterfaceProvider:

List of all members.

## Public Member Functions
virtual Interface * | getInterface (const InterfaceID &interfaceId)=0
| Acquire the interface specified by `interfaceId`.

## Protected Member Functions
| ~InterfaceProvider ()

## Additional Inherited Members

## Detailed Description

The base interface for a class that provides libargus Interfaces.

Definition at line 321 of file Types.h.

## Constructor & Destructor Documentation

Argus::InterfaceProvider::~InterfaceProvider | ( |  | ) |
| inline protected

Definition at line 333 of file Types.h.

## Member Function Documentation

virtual Interface* Argus::InterfaceProvider::getInterface | ( | const InterfaceID & | interfaceId | ) |
| pure virtual

Acquire the interface specified by `interfaceId`.

Returns:
  An instance of the requested interface, or NULL if that interface is not available.

The documentation for this class was generated from the following file:

- include/Argus/Types.h